classification
Title: configure --enable-optimizations with clang fails to detect llvm-profdata
Type: Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington, mjpieters, weibullguy
Priority: normal Keywords: patch

Created on 2019-02-15 13:29 by mjpieters, last changed 2019-09-13 13:57 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14998 merged weibullguy, 2019-07-29 01:27
PR 16104 merged miss-islington, 2019-09-13 13:38
PR 16105 merged miss-islington, 2019-09-13 13:38
Messages (5)
msg335610 - (view) Author: Martijn Pieters (mjpieters) * Date: 2019-02-15 13:29
This is probably a automake bug.

When running CC=clang CXX=clang++ ./configure --enable-optimizations, configure tests for a non-existing -llvm-profdata binary:

checking for --enable-optimizations... yes
checking for --with-lto... no
checking for -llvm-profdata... no
configure: error: llvm-profdata is required for a --enable-optimizations build but could not be found.

The generated configure script looks for "$target_alias-llvm-profdata", and $target_alias is an empty string.

This problem is not visible on Macs, where additional checks for "/usr/bin/xcrun -find llvm-profdata" locate the binary.

The work-around would be to specify a target when configuring.
msg348665 - (view) Author: Doyle Rowland (weibullguy) * Date: 2019-07-29 14:38
../configure LLVM_PROFDATA=/<PATH TO>/llvm-profdata --enable-optimizations is also work-around.
msg352327 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-13 13:38
New changeset 0519d497b04b252f50dfff9101fb7f4b9e33f1c4 by Benjamin Peterson (Doyle Rowland) in branch 'master':
closes bpo-36002: Use AC_PATH_TOOL to find llvm-profdata and llvm-ar. (GH-14998)
https://github.com/python/cpython/commit/0519d497b04b252f50dfff9101fb7f4b9e33f1c4
msg352334 - (view) Author: miss-islington (miss-islington) Date: 2019-09-13 13:55
New changeset d112ea66b003deb7a4f222e47a552ac79098f4df by Miss Islington (bot) in branch '3.7':
closes bpo-36002: Use AC_PATH_TOOL to find llvm-profdata and llvm-ar. (GH-14998)
https://github.com/python/cpython/commit/d112ea66b003deb7a4f222e47a552ac79098f4df
msg352335 - (view) Author: miss-islington (miss-islington) Date: 2019-09-13 13:57
New changeset bd2e7cc3af26fdd8bb86009048533e2000c0a490 by Miss Islington (bot) in branch '3.8':
closes bpo-36002: Use AC_PATH_TOOL to find llvm-profdata and llvm-ar. (GH-14998)
https://github.com/python/cpython/commit/bd2e7cc3af26fdd8bb86009048533e2000c0a490
History
Date User Action Args
2019-09-13 13:57:49miss-islingtonsetmessages: + msg352335
2019-09-13 13:55:15miss-islingtonsetnosy: + miss-islington
messages: + msg352334
2019-09-13 13:38:31miss-islingtonsetpull_requests: + pull_request15724
2019-09-13 13:38:21miss-islingtonsetpull_requests: + pull_request15723
2019-09-13 13:38:10benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg352327

resolution: fixed
stage: patch review -> resolved
2019-07-29 14:38:00weibullguysetnosy: + weibullguy
messages: + msg348665
2019-07-29 01:27:06weibullguysetkeywords: + patch
stage: patch review
pull_requests: + pull_request14764
2019-02-15 13:29:15mjpieterscreate